Permalink
Browse files

Update the readme with compatibility information

  • Loading branch information...
1 parent c7c96cf commit 4ec139a8ef804e15a13f9c3a81f1194e2029be7c @njonsson committed Nov 13, 2013
Showing with 20 additions and 10 deletions.
  1. +20 −10 README.markdown
View
30 README.markdown
@@ -70,6 +70,26 @@ Or you may want to make Cape a dependency of your project by using [Bundler](htt
gem 'cape', '~> 1'
+## Compatibility
+
+Cape [runs](http://travis-ci.org/njonsson/cape) on the following Ruby versions:
+
+* MRI v1.8.7, v1.9.2, v1.9.3, v2.0.0
+* REE v1.8.7
+
+Cape integrates with the following RubyGems:
+
+* Capistrano v2.x
+* Rake v0.8.7 and later
+
+**A Rake task that lacks a description can be mirrored or enumerated only if Rake v0.9.3 or newer is installed.** Older versions of Rake did not support enumerating such tasks. You may want to make Rake v0.9.3 a dependency of your project.
+
+ # Gemfile
+
+ source 'http://rubygems.org'
+
+ gem 'rake', '>= 0.9.3'
+
## Examples
Assume the following Rake tasks are defined.
@@ -309,16 +329,6 @@ Note that Cape statements must be contained in a `Cape` block.
mirror_rake_tasks
end
-## Known issues
-
-**A Rake task that lacks a description can be mirrored or enumerated only if Rake v0.9.3 or newer is installed.** Older versions of Rake did not support enumerating such tasks. You may want to make Rake v0.9.3 a dependency of your project.
-
- # Gemfile
-
- source 'http://rubygems.org'
-
- gem 'rake', '>= 0.9.3'
-
## Contributing
Report defects and feature requests on [GitHub Issues](http://github.com/njonsson/cape/issues).

0 comments on commit 4ec139a

Please sign in to comment.